SAFER_Impl< BASE, INFO, STR > Class Template Reference

SAFER block cipher default implementation. More...

`#include <safer.h>`

Inheritance diagram for SAFER_Impl< BASE, INFO, STR >:

## Additional Inherited Members

Public Member Functions inherited from BlockCipherImpl< INFO, BASE >
unsigned int | BlockSize () const
| Provides the block size of the algorithm.
Public Member Functions inherited from AlgorithmImpl< SimpleKeyingInterfaceImpl< TwoBases< BASE, INFO > > >
std::string | AlgorithmName () const
| The algorithm name.
Static Public Member Functions inherited from AlgorithmImpl< SimpleKeyingInterfaceImpl< TwoBases< BASE, INFO > > >
static std::string | StaticAlgorithmName ()
| The algorithm name.

## Detailed Description

template<class BASE, class INFO, bool STR>
class SAFER_Impl< BASE, INFO, STR >

SAFER block cipher default implementation.

Template Parameters

  BASE | SAFER::Enc or SAFER::Dec derived base class
  INFO | SAFER_Info derived class
  STR | flag indicating a strengthened implementation

SAFER-K is not strengthened; while SAFER-SK is strengthened.

Definition at line 54 of file safer.h.

The documentation for this class was generated from the following file:

- safer.h